export const IMAGES = {
  moshell: 'ghcr.io/moshell-lang/moshell:master',
};

export function allocateBuffer(jobId: string, code: string, image: string): Buffer {
  const buffer = Buffer.allocUnsafe(jobId.length + image.length + code.length + 8);
  buffer.write(jobId, 0);
  buffer.writeUInt32BE(image.length, jobId.length);
  buffer.writeUInt32BE(code.length, jobId.length + 4);
  buffer.write(image, jobId.length + 8);
  buffer.write(code, jobId.length + 8 + image.length);
  return buffer;
}
